#include <iostream>

using namespace std;

int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
	int n,m;
	cin>>n>>m;
	pair<int,int> a[n];
	for(int i=0;i<n;i++)
    {
        cin>>a[i].first;
        cin>>a[i].second;
    }
    int br=0;
    int l,r,x;
    for(int i=0;i<m;i++)
    {
        int br=0;
        cin>>l;
        cin>>r;
        cin>>x;
        for(int j=l-1;j<r;j++)
        {
            if(x>=a[j].first && x<=a[j].second) br++;
        }
        cout<<br<<endl;
    }
	return 0;
}